[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r1724 - in glibc-package/branches/glibc-2.4/debian: debhelper.in rules.d



Author: barbier
Date: 2006-08-14 23:24:20 +0000 (Mon, 14 Aug 2006)
New Revision: 1724

Added:
   glibc-package/branches/glibc-2.4/debian/debhelper.in/locales-all.postinst
   glibc-package/branches/glibc-2.4/debian/debhelper.in/locales-all.prerm
Modified:
   glibc-package/branches/glibc-2.4/debian/rules.d/build.mk
Log:
Sync locales-all with trunk


Added: glibc-package/branches/glibc-2.4/debian/debhelper.in/locales-all.postinst
===================================================================
--- glibc-package/branches/glibc-2.4/debian/debhelper.in/locales-all.postinst	2006-08-14 23:17:51 UTC (rev 1723)
+++ glibc-package/branches/glibc-2.4/debian/debhelper.in/locales-all.postinst	2006-08-14 23:24:20 UTC (rev 1724)
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+export LC_ALL=C
+
+if [ "$1" = "configure" ]; then
+	[ -d /usr/lib/locale ] || mkdir /usr/lib/locale
+	#  Remove existing locales, otherwise localedef does not
+	#  overwrite them and exits with a non-null value
+	rm -f /usr/lib/locale/locale-archive 2>/dev/null || true
+	tmpdir=$(mktemp -d /tmp/locales.XXXXXXXXXX)
+	tar zxf /usr/lib/locales-all/supported.tar.gz -C "$tmpdir"
+	localedef --quiet --add-to-archive "$tmpdir"/*
+	rm -rf "$tmpdir"
+fi
+
+#DEBHELPER#
+
+exit 0
+

Added: glibc-package/branches/glibc-2.4/debian/debhelper.in/locales-all.prerm
===================================================================
--- glibc-package/branches/glibc-2.4/debian/debhelper.in/locales-all.prerm	2006-08-14 23:17:51 UTC (rev 1723)
+++ glibc-package/branches/glibc-2.4/debian/debhelper.in/locales-all.prerm	2006-08-14 23:24:20 UTC (rev 1724)
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+    remove|purge)
+	rm -f /usr/lib/locale/locale-archive
+	;;
+    *)
+    	;;
+esac
+
+#DEBHELPER#
+
+exit 0

Modified: glibc-package/branches/glibc-2.4/debian/rules.d/build.mk
===================================================================
--- glibc-package/branches/glibc-2.4/debian/rules.d/build.mk	2006-08-14 23:17:51 UTC (rev 1723)
+++ glibc-package/branches/glibc-2.4/debian/rules.d/build.mk	2006-08-14 23:24:20 UTC (rev 1724)
@@ -119,8 +119,8 @@
 	    objdir=$(DEB_BUILDDIR) install_root=$(CURDIR)/debian/tmp-$(curpass) \
 	    localedata/install-locales; \
 	  rm -rf $(CURDIR)/debian/locales-all/usr/lib; \
-	  install -d $(CURDIR)/debian/locales-all/usr/lib; \
-	  mv $(CURDIR)/debian/tmp-libc/usr/lib/locale $(CURDIR)/debian/locales-all/usr/lib/locales-all; \
+	  install -d $(CURDIR)/debian/locales-all/usr/lib/locales-all; \
+	  tar zcf $(CURDIR)/debian/locales-all/usr/lib/locales-all/supported.tar.gz -C $(CURDIR)/debian/tmp-libc/usr/lib/locale .; \
 	fi
 
 	# Remove ld.so from optimized libraries



Reply to: